from pydantic import BaseModel

from src.huesoporro.infra.repos import QuoteRepo
from src.huesoporro.models import Quote


class QuoteStorerSvc(BaseModel):
    quote_repo: QuoteRepo

    async def run(self, quote: Quote) -> Quote:
        return await self.quote_repo.create(quote)
